Create a lead source
curl --request POST \
--url https://api.impellabs.tech/api/v1/lead-sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "website_form",
"name": "Spring offer",
"slug": "spring-offer",
"fields": [
{
"key": "name",
"label": "Name",
"type": "text",
"required": true
},
{
"key": "phone",
"label": "Phone",
"type": "phone"
}
]
}
'import requests
url = "https://api.impellabs.tech/api/v1/lead-sources"
payload = {
"kind": "website_form",
"name": "Spring offer",
"slug": "spring-offer",
"fields": [
{
"key": "name",
"label": "Name",
"type": "text",
"required": True
},
{
"key": "phone",
"label": "Phone",
"type": "phone"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'website_form',
name: 'Spring offer',
slug: 'spring-offer',
fields: [
{key: 'name', label: 'Name', type: 'text', required: true},
{key: 'phone', label: 'Phone', type: 'phone'}
]
})
};
fetch('https://api.impellabs.tech/api/v1/lead-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/lead-sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'kind' => 'website_form',
'name' => 'Spring offer',
'slug' => 'spring-offer',
'fields' => [
[
'key' => 'name',
'label' => 'Name',
'type' => 'text',
'required' => true
],
[
'key' => 'phone',
'label' => 'Phone',
'type' => 'phone'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/lead-sources"
payload := strings.NewReader("{\n \"kind\": \"website_form\",\n \"name\": \"Spring offer\",\n \"slug\": \"spring-offer\",\n \"fields\": [\n {\n \"key\": \"name\",\n \"label\": \"Name\",\n \"type\": \"text\",\n \"required\": true\n },\n {\n \"key\": \"phone\",\n \"label\": \"Phone\",\n \"type\": \"phone\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/lead-sources")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"kind\": \"website_form\",\n \"name\": \"Spring offer\",\n \"slug\": \"spring-offer\",\n \"fields\": [\n {\n \"key\": \"name\",\n \"label\": \"Name\",\n \"type\": \"text\",\n \"required\": true\n },\n {\n \"key\": \"phone\",\n \"label\": \"Phone\",\n \"type\": \"phone\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/lead-sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"kind\": \"website_form\",\n \"name\": \"Spring offer\",\n \"slug\": \"spring-offer\",\n \"fields\": [\n {\n \"key\": \"name\",\n \"label\": \"Name\",\n \"type\": \"text\",\n \"required\": true\n },\n {\n \"key\": \"phone\",\n \"label\": \"Phone\",\n \"type\": \"phone\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyLead sources
Create a lead source
Makes a website form, a webhook source or the lead event of a connected tool. The reply is source, and secret for a webhook source. Only an owner or an admin can use this call.
POST
/
api
/
v1
/
lead-sources
Create a lead source
curl --request POST \
--url https://api.impellabs.tech/api/v1/lead-sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "website_form",
"name": "Spring offer",
"slug": "spring-offer",
"fields": [
{
"key": "name",
"label": "Name",
"type": "text",
"required": true
},
{
"key": "phone",
"label": "Phone",
"type": "phone"
}
]
}
'import requests
url = "https://api.impellabs.tech/api/v1/lead-sources"
payload = {
"kind": "website_form",
"name": "Spring offer",
"slug": "spring-offer",
"fields": [
{
"key": "name",
"label": "Name",
"type": "text",
"required": True
},
{
"key": "phone",
"label": "Phone",
"type": "phone"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'website_form',
name: 'Spring offer',
slug: 'spring-offer',
fields: [
{key: 'name', label: 'Name', type: 'text', required: true},
{key: 'phone', label: 'Phone', type: 'phone'}
]
})
};
fetch('https://api.impellabs.tech/api/v1/lead-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/lead-sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'kind' => 'website_form',
'name' => 'Spring offer',
'slug' => 'spring-offer',
'fields' => [
[
'key' => 'name',
'label' => 'Name',
'type' => 'text',
'required' => true
],
[
'key' => 'phone',
'label' => 'Phone',
'type' => 'phone'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/lead-sources"
payload := strings.NewReader("{\n \"kind\": \"website_form\",\n \"name\": \"Spring offer\",\n \"slug\": \"spring-offer\",\n \"fields\": [\n {\n \"key\": \"name\",\n \"label\": \"Name\",\n \"type\": \"text\",\n \"required\": true\n },\n {\n \"key\": \"phone\",\n \"label\": \"Phone\",\n \"type\": \"phone\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/lead-sources")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"kind\": \"website_form\",\n \"name\": \"Spring offer\",\n \"slug\": \"spring-offer\",\n \"fields\": [\n {\n \"key\": \"name\",\n \"label\": \"Name\",\n \"type\": \"text\",\n \"required\": true\n },\n {\n \"key\": \"phone\",\n \"label\": \"Phone\",\n \"type\": \"phone\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/lead-sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"kind\": \"website_form\",\n \"name\": \"Spring offer\",\n \"slug\": \"spring-offer\",\n \"fields\": [\n {\n \"key\": \"name\",\n \"label\": \"Name\",\n \"type\": \"text\",\n \"required\": true\n },\n {\n \"key\": \"phone\",\n \"label\": \"Phone\",\n \"type\": \"phone\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Body
application/json
Response
The new lead source.